## pytest-emoji 0.2.0

=== Makefile ===
.PHONY: clean-tox clean-build clean-py

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-py - remove Python file artifacts"
	@echo "clean-tox - remove tox file artifacts"
	@echo "clean - remove all file artifacts"

clean: clean-tox clean-build clean-py

clean-tox:
	rm -rf .tox/

clean-build:
	rm -rf build/
	rm -rf dist/
	rm -rf src/*.egg-info

clean-py:
	find . -type f -name "*.py[co]" -delete
	find . -type d -name "__pycache__" -delete

=== debian/changelog ===
pytest-emoji (0.2.0-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 20 Aug 2024 19:15:11 +0200

pytest-emoji (0.2.0-1) unstable; urgency=medium

  * [35b104d] New upstream version 0.2.0
  * [4309cf5] Initital Debianization
    (Closes: #1078332)

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sun, 11 Aug 2024 00:35:37 +0530

=== debian/control ===
Source: pytest-emoji
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/hackebrot/pytest-emoji
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-emoji
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-emoji.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pytest-emoji
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Pytest plugin that adds emojis to your test result report (Python 3)
 Pytest is a mature testing framework for Python that is developed by a
 thriving community of volunteers.
 .
 This plugin adds a --emoji CLI flag to pytest, which replaces the test result
 indicator to emojis, both for normal and verbose mode.
 .
  * 😃 / PASSED 😃 for passed tests
  * 😰 / FAILED 😰 for failed tests
  * 😞 / XFAIL 😞 for xfailed tests
  * 😲 / XPASS 😲 for xpassed tests
  * 🙄 / SKIPPED 🙄 for skipped tests
  * 😡 / ERROR 😡 for tests with errors
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=pytest_emoji

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/hackebrot/pytest-emoji.git \
      refs/tags/@ANY_VERSION@
